#target photoshop
//
// SplashCaption.jsx
//

//
// Generated Tue Jun 10 2014 11:40:36 GMT+0400
//

cTID = function(s) { return app.charIDToTypeID(s); };
sTID = function(s) { return app.stringIDToTypeID(s); };

//
//==================== Splash Caption ==============
//
function SplashCaption() {
  // Make
  function step1(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putClass(sTID("contentLayer"));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    var desc3 = new ActionDescriptor();
    var desc4 = new ActionDescriptor();
    desc4.putDouble(cTID('Rd  '), 255);
    desc4.putDouble(cTID('Grn '), 255);
    desc4.putDouble(cTID('Bl  '), 255);
    desc3.putObject(cTID('Clr '), sTID("RGBColor"), desc4);
    desc2.putObject(cTID('Type'), sTID("solidColorLayer"), desc3);
    var desc5 = new ActionDescriptor();
    desc5.putString(cTID('Nm  '), "Boom 1");
    desc5.putUnitDouble(cTID('Top '), cTID('#Pxl'), 207);
    desc5.putUnitDouble(cTID('Left'), cTID('#Pxl'), 199);
    desc5.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 778);
    desc5.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 965);
    desc2.putObject(cTID('Shp '), sTID("customShape"), desc5);
    desc1.putObject(cTID('Usng'), sTID("contentLayer"), desc2);
    executeAction(cTID('Mk  '), desc1, dialogMode);
  };

  // Set
  function step2(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(sTID("contentLayer"), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    var desc3 = new ActionDescriptor();
    desc3.putDouble(cTID('Rd  '), 255);
    desc3.putDouble(cTID('Grn '), 0);
    desc3.putDouble(cTID('Bl  '), 0);
    desc2.putObject(cTID('Clr '), sTID("RGBColor"), desc3);
    desc1.putObject(cTID('T   '), sTID("solidColorLayer"), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Set
  function step3(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "Photobacks Splash 1");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Layer Via Copy
  function step4(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('copyToLayer'), undefined, dialogMode);
  };

  // Set
  function step5(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "Photobacks Splash 2");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Select
  function step6(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Photobacks Splash 1");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Set
  function step7(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(sTID("contentLayer"), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    var desc3 = new ActionDescriptor();
    desc3.putDouble(cTID('Rd  '), 0);
    desc3.putDouble(cTID('Grn '), 0);
    desc3.putDouble(cTID('Bl  '), 0);
    desc2.putObject(cTID('Clr '), sTID("RGBColor"), desc3);
    desc1.putObject(cTID('T   '), sTID("solidColorLayer"), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Transform
  function step8(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('FTcs'), cTID('QCSt'), sTID("QCSAverage"));
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Pxl'), 0);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Pxl'), 0);
    desc1.putObject(cTID('Ofst'), cTID('Ofst'), desc2);
    desc1.putUnitDouble(cTID('Angl'), cTID('#Ang'), -2.53315795560799);
    desc1.putEnumerated(cTID('Intr'), cTID('Intp'), cTID('Bcbc'));
    executeAction(cTID('Trnf'), desc1, dialogMode);
  };

  // Select
  function step9(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Photobacks Splash 2");
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(sTID("selectionModifier"), sTID("selectionModifierType"), sTID("addToSelectionContinuous"));
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Link Selected Layers
  function step10(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    executeAction(sTID('linkSelectedLayers'), desc1, dialogMode);
  };

  // Set
  function step11(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Chnl'), sTID("selection"));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('T   '), cTID('Ordn'), cTID('Al  '));
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Align
  function step12(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('Usng'), cTID('ADSt'), sTID("ADSCentersH"));
    executeAction(cTID('Algn'), desc1, dialogMode);
  };

  // Align
  function step13(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('Usng'), cTID('ADSt'), sTID("ADSCentersV"));
    executeAction(cTID('Algn'), desc1, dialogMode);
  };

  // Set
  function step14(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Chnl'), sTID("selection"));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('T   '), cTID('Ordn'), cTID('None'));
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Make
  function step15(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putClass(cTID('TxLr'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Txt '), "BOOM!");
    var desc3 = new ActionDescriptor();
    desc3.putEnumerated(sTID("warpStyle"), sTID("warpStyle"), sTID("warpNone"));
    desc3.putDouble(sTID("warpValue"), 0);
    desc3.putDouble(sTID("warpPerspective"), 0);
    desc3.putDouble(sTID("warpPerspectiveOther"), 0);
    desc3.putEnumerated(sTID("warpRotate"), cTID('Ornt'), cTID('Hrzn'));
    desc2.putObject(cTID('warp'), cTID('warp'), desc3);
    var desc4 = new ActionDescriptor();
    desc4.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), 8.47018150388937);
    desc4.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), 13.7305699481865);
    desc2.putObject(cTID('TxtC'), cTID('Pnt '), desc4);
    desc2.putEnumerated(sTID("textGridding"), sTID("textGridding"), cTID('None'));
    desc2.putEnumerated(cTID('Ornt'), cTID('Ornt'), cTID('Hrzn'));
    desc2.putEnumerated(cTID('AntA'), cTID('Annt'), cTID('AnSm'));
    var desc5 = new ActionDescriptor();
    desc5.putUnitDouble(cTID('Left'), cTID('#Pxl'), 0);
    desc5.putUnitDouble(cTID('Top '), cTID('#Pxl'), -8.21296691894531);
    desc5.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 2600.32397460938);
    desc5.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 1006.37817382812);
    desc2.putObject(sTID("bounds"), sTID("bounds"), desc5);
    var desc6 = new ActionDescriptor();
    desc6.putUnitDouble(cTID('Left'), cTID('#Pxl'), 1170.75366210938);
    desc6.putUnitDouble(cTID('Top '), cTID('#Pxl'), 0.01799011230469);
    desc6.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 1440.09008789062);
    desc6.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 67.0179901123047);
    desc2.putObject(sTID("boundingBox"), sTID("boundingBox"), desc6);
    var list1 = new ActionList();
    var desc7 = new ActionDescriptor();
    desc7.putEnumerated(sTID("textType"), sTID("textType"), sTID("box"));
    desc7.putEnumerated(cTID('Ornt'), cTID('Ornt'), cTID('Hrzn'));
    var desc8 = new ActionDescriptor();
    desc8.putDouble(sTID("xx"), 1);
    desc8.putDouble(sTID("xy"), 0);
    desc8.putDouble(sTID("yx"), 0);
    desc8.putDouble(sTID("yy"), 1);
    desc8.putDouble(sTID("tx"), 0);
    desc8.putDouble(sTID("ty"), 0);
    desc7.putObject(cTID('Trnf'), cTID('Trnf'), desc8);
    desc7.putInteger(sTID("rowCount"), 1);
    desc7.putInteger(sTID("columnCount"), 1);
    desc7.putBoolean(sTID("rowMajorOrder"), true);
    desc7.putUnitDouble(sTID("rowGutter"), cTID('#Pxl'), 0);
    desc7.putUnitDouble(sTID("columnGutter"), cTID('#Pxl'), 0);
    desc7.putUnitDouble(cTID('Spcn'), cTID('#Pxl'), 0);
    desc7.putEnumerated(sTID("frameBaselineAlignment"), sTID("frameBaselineAlignment"), sTID("alignByAscent"));
    desc7.putUnitDouble(sTID("firstBaselineMinimum"), cTID('#Pxl'), 0);
    var desc9 = new ActionDescriptor();
    desc9.putDouble(cTID('Top '), 0);
    desc9.putDouble(cTID('Left'), 0);
    desc9.putDouble(cTID('Btom'), 241.53076171875);
    desc9.putDouble(cTID('Rght'), 624.077758789062);
    desc7.putObject(sTID("bounds"), cTID('Rctn'), desc9);
    list1.putObject(sTID("textShape"), desc7);
    desc2.putList(sTID("textShape"), list1);
    var list2 = new ActionList();
    var desc10 = new ActionDescriptor();
    desc10.putInteger(cTID('From'), 0);
    desc10.putInteger(cTID('T   '), 6);
    var desc11 = new ActionDescriptor();
    desc11.putBoolean(sTID("styleSheetHasParent"), true);
    desc11.putString(sTID("fontPostScriptName"), "ComicSansMS");
    desc11.putString(cTID('FntN'), "Comic Sans MS");
    desc11.putString(cTID('FntS'), "Bold Italic");
    desc11.putInteger(cTID('Scrp'), 0);
    desc11.putInteger(cTID('FntT'), 1);
    desc11.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 81);
    desc11.putDouble(cTID('HrzS'), 100);
    desc11.putDouble(cTID('VrtS'), 100);
    desc11.putBoolean(sTID("syntheticBold"), false);
    desc11.putBoolean(sTID("syntheticItalic"), false);
    desc11.putBoolean(sTID("autoLeading"), true);
    desc11.putInteger(cTID('Trck'), 0);
    desc11.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc11.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc11.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc11.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc11.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc11.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc11.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc11.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 1.38240003585815);
    desc11.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc11.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc11.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc11.putBoolean(sTID("ligature"), true);
    desc11.putBoolean(sTID("altligature"), false);
    desc11.putBoolean(sTID("contextualLigatures"), false);
    desc11.putBoolean(sTID("fractions"), false);
    desc11.putBoolean(sTID("ordinals"), false);
    desc11.putBoolean(sTID("swash"), false);
    desc11.putBoolean(sTID("titling"), false);
    desc11.putBoolean(sTID("connectionForms"), false);
    desc11.putBoolean(sTID("stylisticAlternates"), false);
    desc11.putBoolean(sTID("ornaments"), false);
    desc11.putBoolean(sTID("justificationAlternates"), false);
    desc11.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc11.putBoolean(sTID("proportionalMetrics"), false);
    desc11.putBoolean(cTID('kana'), false);
    desc11.putBoolean(sTID("italics"), false);
    desc11.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("withStream"));
    desc11.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc11.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc11.putDouble(sTID("mojiZume"), 0);
    desc11.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc11.putBoolean(sTID("noBreak"), false);
    var desc12 = new ActionDescriptor();
    desc12.putDouble(cTID('Rd  '), 255);
    desc12.putDouble(cTID('Grn '), 255);
    desc12.putDouble(cTID('Bl  '), 255);
    desc11.putObject(cTID('Clr '), sTID("RGBColor"), desc12);
    var desc13 = new ActionDescriptor();
    desc13.putDouble(cTID('Rd  '), 0);
    desc13.putDouble(cTID('Grn '), 0);
    desc13.putDouble(cTID('Bl  '), 0);
    desc11.putObject(sTID("strokeColor"), sTID("RGBColor"), desc13);
    var desc14 = new ActionDescriptor();
    desc14.putString(sTID("fontPostScriptName"), "MyriadPro-Regular");
    desc14.putString(cTID('FntN'), "Myriad Pro");
    desc14.putString(cTID('FntS'), "Regular");
    desc14.putInteger(cTID('Scrp'), 0);
    desc14.putInteger(cTID('FntT'), 0);
    desc14.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 12);
    desc14.putDouble(cTID('HrzS'), 100);
    desc14.putDouble(cTID('VrtS'), 100);
    desc14.putBoolean(sTID("syntheticBold"), false);
    desc14.putBoolean(sTID("syntheticItalic"), false);
    desc14.putBoolean(sTID("autoLeading"), true);
    desc14.putInteger(cTID('Trck'), 0);
    desc14.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc14.putDouble(sTID("characterRotation"), 0);
    desc14.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc14.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc14.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc14.putEnumerated(sTID("dirOverride"), sTID("dirOverride"), sTID("dirOverrideDefault"));
    desc14.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc14.putEnumerated(sTID("diacVPos"), sTID("diacVPos"), sTID("diacVPosOpenType"));
    desc14.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc14.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc14.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 100);
    desc14.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc14.putEnumerated(sTID("otbaseline"), sTID("otbaseline"), cTID('Nrml'));
    desc14.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc14.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc14.putUnitDouble(sTID("underlineOffset"), cTID('#Pxl'), 0);
    desc14.putBoolean(sTID("ligature"), true);
    desc14.putBoolean(sTID("altligature"), false);
    desc14.putBoolean(sTID("contextualLigatures"), false);
    desc14.putBoolean(sTID("alternateLigatures"), false);
    desc14.putBoolean(sTID("oldStyle"), false);
    desc14.putBoolean(sTID("fractions"), false);
    desc14.putBoolean(sTID("ordinals"), false);
    desc14.putBoolean(sTID("swash"), false);
    desc14.putBoolean(sTID("titling"), false);
    desc14.putBoolean(sTID("connectionForms"), false);
    desc14.putBoolean(sTID("stylisticAlternates"), false);
    desc14.putBoolean(sTID("ornaments"), false);
    desc14.putBoolean(sTID("justificationAlternates"), false);
    desc14.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc14.putBoolean(sTID("proportionalMetrics"), false);
    desc14.putBoolean(cTID('kana'), false);
    desc14.putBoolean(sTID("italics"), false);
    desc14.putBoolean(cTID('ruby'), false);
    desc14.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("rotated"));
    desc14.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc14.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc14.putDouble(sTID("mojiZume"), 0);
    desc14.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc14.putBoolean(sTID("enableWariChu"), false);
    desc14.putInteger(sTID("wariChuCount"), 2);
    desc14.putInteger(sTID("wariChuLineGap"), 0);
    desc14.putDouble(sTID("wariChuScale"), 0.5);
    desc14.putInteger(sTID("wariChuWidow"), 2);
    desc14.putInteger(sTID("wariChuOrphan"), 2);
    desc14.putEnumerated(sTID("wariChuJustification"), sTID("wariChuJustification"), sTID("wariChuAutoJustify"));
    desc14.putInteger(sTID("tcyUpDown"), 0);
    desc14.putInteger(sTID("tcyLeftRight"), 0);
    desc14.putDouble(sTID("leftAki"), -1);
    desc14.putDouble(sTID("rightAki"), -1);
    desc14.putInteger(sTID("jiDori"), 0);
    desc14.putBoolean(sTID("noBreak"), false);
    var desc15 = new ActionDescriptor();
    desc15.putDouble(cTID('Rd  '), 0);
    desc15.putDouble(cTID('Grn '), 0);
    desc15.putDouble(cTID('Bl  '), 0);
    desc14.putObject(cTID('Clr '), sTID("RGBColor"), desc15);
    var desc16 = new ActionDescriptor();
    desc16.putDouble(cTID('Rd  '), 0);
    desc16.putDouble(cTID('Grn '), 0);
    desc16.putDouble(cTID('Bl  '), 0);
    desc14.putObject(sTID("strokeColor"), sTID("RGBColor"), desc16);
    desc14.putBoolean(cTID('Fl  '), true);
    desc14.putBoolean(cTID('Strk'), false);
    desc14.putBoolean(sTID("fillFirst"), true);
    desc14.putBoolean(sTID("fillOverPrint"), false);
    desc14.putBoolean(sTID("strokeOverPrint"), false);
    desc14.putEnumerated(sTID("lineCap"), sTID("lineCap"), sTID("buttCap"));
    desc14.putEnumerated(sTID("lineJoin"), sTID("lineJoin"), sTID("miterJoin"));
    desc14.putUnitDouble(sTID("lineWidth"), cTID('#Pxl'), 1);
    desc14.putUnitDouble(sTID("miterLimit"), cTID('#Pxl'), 4);
    desc14.putDouble(sTID("lineDashoffset"), 0);
    desc11.putObject(sTID("baseParentStyle"), cTID('TxtS'), desc14);
    desc10.putObject(cTID('TxtS'), cTID('TxtS'), desc11);
    list2.putObject(cTID('Txtt'), desc10);
    desc2.putList(cTID('Txtt'), list2);
    var list3 = new ActionList();
    var desc17 = new ActionDescriptor();
    desc17.putInteger(cTID('From'), 0);
    desc17.putInteger(cTID('T   '), 6);
    var desc18 = new ActionDescriptor();
    desc18.putBoolean(sTID("styleSheetHasParent"), true);
    desc18.putEnumerated(cTID('Algn'), cTID('Alg '), cTID('Cntr'));
    desc18.putUnitDouble(sTID("firstLineIndent"), cTID('#Pxl'), 0);
    desc18.putUnitDouble(sTID("startIndent"), cTID('#Pxl'), 0);
    desc18.putUnitDouble(sTID("endIndent"), cTID('#Pxl'), 0);
    desc18.putUnitDouble(sTID("spaceBefore"), cTID('#Pxl'), 0);
    desc18.putUnitDouble(sTID("spaceAfter"), cTID('#Pxl'), 0);
    desc18.putDouble(sTID("autoLeadingPercentage"), 1.20000004768372);
    desc18.putEnumerated(sTID("leadingType"), sTID("leadingType"), sTID("leadingBelow"));
    desc18.putEnumerated(sTID("directionType"), sTID("directionType"), sTID("dirLeftToRight"));
    desc18.putEnumerated(sTID("kashidaWidthType"), sTID("kashidaWidthType"), sTID("kashidaWidthMedium"));
    desc18.putBoolean(sTID("hyphenate"), false);
    desc18.putDouble(sTID("justificationWordMinimum"), 0.80000001192093);
    desc18.putDouble(sTID("justificationWordDesired"), 1);
    desc18.putDouble(sTID("justificationWordMaximum"), 1.33000004291534);
    desc18.putDouble(sTID("justificationLetterMinimum"), 0);
    desc18.putDouble(sTID("justificationLetterDesired"), 0);
    desc18.putDouble(sTID("justificationLetterMaximum"), 0);
    desc18.putDouble(sTID("justificationGlyphMinimum"), 1);
    desc18.putDouble(sTID("justificationGlyphDesired"), 1);
    desc18.putDouble(sTID("justificationGlyphMaximum"), 1);
    desc18.putBoolean(sTID("hangingRoman"), false);
    desc18.putEnumerated(sTID("burasagari"), sTID("burasagari"), sTID("burasagariStandard"));
    desc18.putEnumerated(sTID("preferredKinsokuOrder"), sTID("preferredKinsokuOrder"), sTID("pushIn"));
    desc18.putBoolean(sTID("textEveryLineComposer"), true);
    desc18.putEnumerated(sTID("textComposerEngine"), sTID("textComposerEngine"), sTID("textLatinCJKComposer"));
    desc17.putObject(sTID("paragraphStyle"), sTID("paragraphStyle"), desc18);
    list3.putObject(sTID("paragraphStyleRange"), desc17);
    desc2.putList(sTID("paragraphStyleRange"), list3);
    var list4 = new ActionList();
    desc2.putList(sTID("kerningRange"), list4);
    desc1.putObject(cTID('Usng'), cTID('TxLr'), desc2);
    executeAction(cTID('Mk  '), desc1, dialogMode);
  };

  // Set
  function step16(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Chnl'), sTID("selection"));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('T   '), cTID('Ordn'), cTID('Al  '));
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Align
  function step17(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('Usng'), cTID('ADSt'), sTID("ADSCentersH"));
    executeAction(cTID('Algn'), desc1, dialogMode);
  };

  // Set
  function step18(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Chnl'), sTID("selection"));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('T   '), cTID('Ordn'), cTID('None'));
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Select
  function step19(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "BOOM!");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Set
  function step20(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('TxLr'), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Txt '), "BOOM!");
    var desc3 = new ActionDescriptor();
    desc3.putEnumerated(sTID("warpStyle"), sTID("warpStyle"), sTID("warpBulge"));
    desc3.putDouble(sTID("warpValue"), 14);
    desc3.putDouble(sTID("warpPerspective"), 0);
    desc3.putDouble(sTID("warpPerspectiveOther"), -3);
    desc3.putEnumerated(sTID("warpRotate"), cTID('Ornt'), cTID('Hrzn'));
    desc2.putObject(cTID('warp'), cTID('warp'), desc3);
    desc2.putEnumerated(sTID("textGridding"), sTID("textGridding"), cTID('None'));
    desc2.putEnumerated(cTID('Ornt'), cTID('Ornt'), cTID('Hrzn'));
    desc2.putEnumerated(cTID('AntA'), cTID('Annt'), cTID('AnSm'));
    var desc4 = new ActionDescriptor();
    desc4.putUnitDouble(cTID('Left'), cTID('#Pxl'), 0);
    desc4.putUnitDouble(cTID('Top '), cTID('#Pxl'), -17.4145202636719);
    desc4.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 2600.32397460938);
    desc4.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 581.590576171875);
    desc2.putObject(sTID("bounds"), sTID("bounds"), desc4);
    var desc5 = new ActionDescriptor();
    desc5.putUnitDouble(cTID('Left'), cTID('#Pxl'), 1087.40356445312);
    desc5.putUnitDouble(cTID('Top '), cTID('#Pxl'), -2.90548706054688);
    desc5.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 1516.82690429688);
    desc5.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 135.094512939453);
    desc2.putObject(sTID("boundingBox"), sTID("boundingBox"), desc5);
    var list1 = new ActionList();
    var desc6 = new ActionDescriptor();
    desc6.putEnumerated(sTID("textType"), sTID("textType"), sTID("box"));
    desc6.putEnumerated(cTID('Ornt'), cTID('Ornt'), cTID('Hrzn'));
    var desc7 = new ActionDescriptor();
    desc7.putDouble(sTID("xx"), 1);
    desc7.putDouble(sTID("xy"), 0);
    desc7.putDouble(sTID("yx"), 0);
    desc7.putDouble(sTID("yy"), 1);
    desc7.putDouble(sTID("tx"), 0);
    desc7.putDouble(sTID("ty"), 0);
    desc6.putObject(cTID('Trnf'), cTID('Trnf'), desc7);
    desc6.putInteger(sTID("rowCount"), 1);
    desc6.putInteger(sTID("columnCount"), 1);
    desc6.putBoolean(sTID("rowMajorOrder"), true);
    desc6.putUnitDouble(sTID("rowGutter"), cTID('#Pxl'), 0);
    desc6.putUnitDouble(sTID("columnGutter"), cTID('#Pxl'), 0);
    desc6.putUnitDouble(cTID('Spcn'), cTID('#Pxl'), 0);
    desc6.putEnumerated(sTID("frameBaselineAlignment"), sTID("frameBaselineAlignment"), sTID("alignByAscent"));
    desc6.putUnitDouble(sTID("firstBaselineMinimum"), cTID('#Pxl'), 0);
    var desc8 = new ActionDescriptor();
    desc8.putDouble(cTID('Top '), 0);
    desc8.putDouble(cTID('Left'), 0);
    desc8.putDouble(cTID('Btom'), 139.581741333008);
    desc8.putDouble(cTID('Rght'), 624.077758789062);
    desc6.putObject(sTID("bounds"), cTID('Rctn'), desc8);
    list1.putObject(sTID("textShape"), desc6);
    desc2.putList(sTID("textShape"), list1);
    var list2 = new ActionList();
    var desc9 = new ActionDescriptor();
    desc9.putInteger(cTID('From'), 0);
    desc9.putInteger(cTID('T   '), 6);
    var desc10 = new ActionDescriptor();
    desc10.putBoolean(sTID("styleSheetHasParent"), true);
    desc10.putString(sTID("fontPostScriptName"), "Impact");
    desc10.putString(cTID('FntN'), "Impact");
    desc10.putString(cTID('FntS'), "Regular");
    desc10.putInteger(cTID('Scrp'), 0);
    desc10.putInteger(cTID('FntT'), 1);
    desc10.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 167);
    desc10.putDouble(cTID('HrzS'), 100);
    desc10.putDouble(cTID('VrtS'), 100);
    desc10.putBoolean(sTID("syntheticBold"), false);
    desc10.putBoolean(sTID("syntheticItalic"), false);
    desc10.putBoolean(sTID("autoLeading"), true);
    desc10.putInteger(cTID('Trck'), 0);
    desc10.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc10.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc10.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc10.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc10.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc10.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc10.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc10.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 1.38240003585815);
    desc10.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc10.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc10.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc10.putBoolean(sTID("ligature"), true);
    desc10.putBoolean(sTID("altligature"), false);
    desc10.putBoolean(sTID("contextualLigatures"), false);
    desc10.putBoolean(sTID("fractions"), false);
    desc10.putBoolean(sTID("ordinals"), false);
    desc10.putBoolean(sTID("swash"), false);
    desc10.putBoolean(sTID("titling"), false);
    desc10.putBoolean(sTID("connectionForms"), false);
    desc10.putBoolean(sTID("stylisticAlternates"), false);
    desc10.putBoolean(sTID("ornaments"), false);
    desc10.putBoolean(sTID("justificationAlternates"), false);
    desc10.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc10.putBoolean(sTID("proportionalMetrics"), false);
    desc10.putBoolean(cTID('kana'), false);
    desc10.putBoolean(sTID("italics"), false);
    desc10.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("withStream"));
    desc10.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc10.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc10.putDouble(sTID("mojiZume"), 0);
    desc10.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc10.putBoolean(sTID("noBreak"), false);
    var desc11 = new ActionDescriptor();
    desc11.putDouble(cTID('Rd  '), 254.785995483398);
    desc11.putDouble(cTID('Grn '), 255);
    desc11.putDouble(cTID('Bl  '), 0);
    desc10.putObject(cTID('Clr '), sTID("RGBColor"), desc11);
    var desc12 = new ActionDescriptor();
    desc12.putDouble(cTID('Rd  '), 0);
    desc12.putDouble(cTID('Grn '), 0);
    desc12.putDouble(cTID('Bl  '), 0);
    desc10.putObject(sTID("strokeColor"), sTID("RGBColor"), desc12);
    var desc13 = new ActionDescriptor();
    desc13.putString(sTID("fontPostScriptName"), "MyriadPro-Regular");
    desc13.putString(cTID('FntN'), "Myriad Pro");
    desc13.putString(cTID('FntS'), "Regular");
    desc13.putInteger(cTID('Scrp'), 0);
    desc13.putInteger(cTID('FntT'), 0);
    desc13.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 12);
    desc13.putDouble(cTID('HrzS'), 100);
    desc13.putDouble(cTID('VrtS'), 100);
    desc13.putBoolean(sTID("syntheticBold"), false);
    desc13.putBoolean(sTID("syntheticItalic"), false);
    desc13.putBoolean(sTID("autoLeading"), true);
    desc13.putInteger(cTID('Trck'), 0);
    desc13.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc13.putDouble(sTID("characterRotation"), 0);
    desc13.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc13.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc13.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc13.putEnumerated(sTID("dirOverride"), sTID("dirOverride"), sTID("dirOverrideDefault"));
    desc13.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc13.putEnumerated(sTID("diacVPos"), sTID("diacVPos"), sTID("diacVPosOpenType"));
    desc13.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc13.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc13.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 100);
    desc13.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc13.putEnumerated(sTID("otbaseline"), sTID("otbaseline"), cTID('Nrml'));
    desc13.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc13.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc13.putUnitDouble(sTID("underlineOffset"), cTID('#Pxl'), 0);
    desc13.putBoolean(sTID("ligature"), true);
    desc13.putBoolean(sTID("altligature"), false);
    desc13.putBoolean(sTID("contextualLigatures"), false);
    desc13.putBoolean(sTID("alternateLigatures"), false);
    desc13.putBoolean(sTID("oldStyle"), false);
    desc13.putBoolean(sTID("fractions"), false);
    desc13.putBoolean(sTID("ordinals"), false);
    desc13.putBoolean(sTID("swash"), false);
    desc13.putBoolean(sTID("titling"), false);
    desc13.putBoolean(sTID("connectionForms"), false);
    desc13.putBoolean(sTID("stylisticAlternates"), false);
    desc13.putBoolean(sTID("ornaments"), false);
    desc13.putBoolean(sTID("justificationAlternates"), false);
    desc13.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc13.putBoolean(sTID("proportionalMetrics"), false);
    desc13.putBoolean(cTID('kana'), false);
    desc13.putBoolean(sTID("italics"), false);
    desc13.putBoolean(cTID('ruby'), false);
    desc13.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("rotated"));
    desc13.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc13.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc13.putDouble(sTID("mojiZume"), 0);
    desc13.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc13.putBoolean(sTID("enableWariChu"), false);
    desc13.putInteger(sTID("wariChuCount"), 2);
    desc13.putInteger(sTID("wariChuLineGap"), 0);
    desc13.putDouble(sTID("wariChuScale"), 0.5);
    desc13.putInteger(sTID("wariChuWidow"), 2);
    desc13.putInteger(sTID("wariChuOrphan"), 2);
    desc13.putEnumerated(sTID("wariChuJustification"), sTID("wariChuJustification"), sTID("wariChuAutoJustify"));
    desc13.putInteger(sTID("tcyUpDown"), 0);
    desc13.putInteger(sTID("tcyLeftRight"), 0);
    desc13.putDouble(sTID("leftAki"), -1);
    desc13.putDouble(sTID("rightAki"), -1);
    desc13.putInteger(sTID("jiDori"), 0);
    desc13.putBoolean(sTID("noBreak"), false);
    var desc14 = new ActionDescriptor();
    desc14.putDouble(cTID('Rd  '), 0);
    desc14.putDouble(cTID('Grn '), 0);
    desc14.putDouble(cTID('Bl  '), 0);
    desc13.putObject(cTID('Clr '), sTID("RGBColor"), desc14);
    var desc15 = new ActionDescriptor();
    desc15.putDouble(cTID('Rd  '), 0);
    desc15.putDouble(cTID('Grn '), 0);
    desc15.putDouble(cTID('Bl  '), 0);
    desc13.putObject(sTID("strokeColor"), sTID("RGBColor"), desc15);
    desc13.putBoolean(cTID('Fl  '), true);
    desc13.putBoolean(cTID('Strk'), false);
    desc13.putBoolean(sTID("fillFirst"), true);
    desc13.putBoolean(sTID("fillOverPrint"), false);
    desc13.putBoolean(sTID("strokeOverPrint"), false);
    desc13.putEnumerated(sTID("lineCap"), sTID("lineCap"), sTID("buttCap"));
    desc13.putEnumerated(sTID("lineJoin"), sTID("lineJoin"), sTID("miterJoin"));
    desc13.putUnitDouble(sTID("lineWidth"), cTID('#Pxl'), 1);
    desc13.putUnitDouble(sTID("miterLimit"), cTID('#Pxl'), 4);
    desc13.putDouble(sTID("lineDashoffset"), 0);
    desc10.putObject(sTID("baseParentStyle"), cTID('TxtS'), desc13);
    desc9.putObject(cTID('TxtS'), cTID('TxtS'), desc10);
    list2.putObject(cTID('Txtt'), desc9);
    desc2.putList(cTID('Txtt'), list2);
    var list3 = new ActionList();
    var desc16 = new ActionDescriptor();
    desc16.putInteger(cTID('From'), 0);
    desc16.putInteger(cTID('T   '), 6);
    var desc17 = new ActionDescriptor();
    desc17.putBoolean(sTID("styleSheetHasParent"), true);
    desc17.putEnumerated(cTID('Algn'), cTID('Alg '), cTID('Cntr'));
    desc17.putUnitDouble(sTID("firstLineIndent"), cTID('#Pxl'), 0);
    desc17.putUnitDouble(sTID("startIndent"), cTID('#Pxl'), 0);
    desc17.putUnitDouble(sTID("endIndent"), cTID('#Pxl'), 0);
    desc17.putUnitDouble(sTID("spaceBefore"), cTID('#Pxl'), 0);
    desc17.putUnitDouble(sTID("spaceAfter"), cTID('#Pxl'), 0);
    desc17.putDouble(sTID("autoLeadingPercentage"), 1.20000004768372);
    desc17.putEnumerated(sTID("leadingType"), sTID("leadingType"), sTID("leadingBelow"));
    desc17.putEnumerated(sTID("directionType"), sTID("directionType"), sTID("dirLeftToRight"));
    desc17.putEnumerated(sTID("kashidaWidthType"), sTID("kashidaWidthType"), sTID("kashidaWidthMedium"));
    desc17.putBoolean(sTID("hyphenate"), false);
    desc17.putDouble(sTID("justificationWordMinimum"), 0.80000001192093);
    desc17.putDouble(sTID("justificationWordDesired"), 1);
    desc17.putDouble(sTID("justificationWordMaximum"), 1.33000004291534);
    desc17.putDouble(sTID("justificationLetterMinimum"), 0);
    desc17.putDouble(sTID("justificationLetterDesired"), 0);
    desc17.putDouble(sTID("justificationLetterMaximum"), 0);
    desc17.putDouble(sTID("justificationGlyphMinimum"), 1);
    desc17.putDouble(sTID("justificationGlyphDesired"), 1);
    desc17.putDouble(sTID("justificationGlyphMaximum"), 1);
    desc17.putBoolean(sTID("hangingRoman"), false);
    desc17.putEnumerated(sTID("burasagari"), sTID("burasagari"), sTID("burasagariStandard"));
    desc17.putEnumerated(sTID("preferredKinsokuOrder"), sTID("preferredKinsokuOrder"), sTID("pushIn"));
    desc17.putBoolean(sTID("textEveryLineComposer"), true);
    desc17.putEnumerated(sTID("textComposerEngine"), sTID("textComposerEngine"), sTID("textLatinCJKComposer"));
    desc16.putObject(sTID("paragraphStyle"), sTID("paragraphStyle"), desc17);
    list3.putObject(sTID("paragraphStyleRange"), desc16);
    desc2.putList(sTID("paragraphStyleRange"), list3);
    var list4 = new ActionList();
    desc2.putList(sTID("kerningRange"), list4);
    desc1.putObject(cTID('T   '), cTID('TxLr'), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Set
  function step21(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Prpr'), cTID('Lefx'));
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Scl '), cTID('#Prc'), 416.666666666667);
    var desc3 = new ActionDescriptor();
    desc3.putBoolean(cTID('enab'), true);
    desc3.putEnumerated(cTID('Md  '), cTID('BlnM'), cTID('Mltp'));
    var desc4 = new ActionDescriptor();
    desc4.putDouble(cTID('Rd  '), 0.25491042004433);
    desc4.putDouble(cTID('Grn '), 0.49151558952872);
    desc4.putDouble(cTID('Bl  '), 0.50261559546925);
    desc3.putObject(cTID('Clr '), sTID("RGBColor"), desc4);
    desc3.putUnitDouble(cTID('Opct'), cTID('#Prc'), 100);
    desc3.putBoolean(cTID('uglg'), false);
    desc3.putUnitDouble(cTID('lagl'), cTID('#Ang'), 135);
    desc3.putUnitDouble(cTID('Dstn'), cTID('#Pxl'), 7);
    desc3.putUnitDouble(cTID('Ckmt'), cTID('#Pxl'), 100);
    desc3.putUnitDouble(cTID('blur'), cTID('#Pxl'), 10);
    desc3.putUnitDouble(cTID('Nose'), cTID('#Prc'), 0);
    desc3.putBoolean(cTID('AntA'), false);
    var desc5 = new ActionDescriptor();
    desc5.putString(cTID('Nm  '), "$$$/Contours/Defaults/Linear=Linear");
    desc3.putObject(cTID('TrnS'), cTID('ShpC'), desc5);
    desc3.putBoolean(sTID("layerConceals"), true);
    desc2.putObject(cTID('DrSh'), cTID('DrSh'), desc3);
    var desc6 = new ActionDescriptor();
    desc6.putBoolean(cTID('enab'), true);
    desc6.putEnumerated(cTID('Md  '), cTID('BlnM'), cTID('Nrml'));
    desc6.putUnitDouble(cTID('Opct'), cTID('#Prc'), 100);
    var desc7 = new ActionDescriptor();
    desc7.putString(cTID('Nm  '), "$$$/DefaultGradient/OrangeYellowOrange=Orange, Yellow, Orange");
    desc7.putEnumerated(cTID('GrdF'), cTID('GrdF'), cTID('CstS'));
    desc7.putDouble(cTID('Intr'), 4096);
    var list1 = new ActionList();
    var desc8 = new ActionDescriptor();
    var desc9 = new ActionDescriptor();
    desc9.putDouble(cTID('Rd  '), 255);
    desc9.putDouble(cTID('Grn '), 110.264588445425);
    desc9.putDouble(cTID('Bl  '), 1.99999988079071);
    desc8.putObject(cTID('Clr '), sTID("RGBColor"), desc9);
    desc8.putEnumerated(cTID('Type'), cTID('Clry'), cTID('UsrS'));
    desc8.putInteger(cTID('Lctn'), 0);
    desc8.putInteger(cTID('Mdpn'), 50);
    list1.putObject(cTID('Clrt'), desc8);
    var desc10 = new ActionDescriptor();
    var desc11 = new ActionDescriptor();
    desc11.putDouble(cTID('Rd  '), 255);
    desc11.putDouble(cTID('Grn '), 254.988327026367);
    desc11.putDouble(cTID('Bl  '), 0);
    desc10.putObject(cTID('Clr '), sTID("RGBColor"), desc11);
    desc10.putEnumerated(cTID('Type'), cTID('Clry'), cTID('UsrS'));
    desc10.putInteger(cTID('Lctn'), 2048);
    desc10.putInteger(cTID('Mdpn'), 50);
    list1.putObject(cTID('Clrt'), desc10);
    var desc12 = new ActionDescriptor();
    var desc13 = new ActionDescriptor();
    desc13.putDouble(cTID('Rd  '), 255);
    desc13.putDouble(cTID('Grn '), 109.120621830225);
    desc13.putDouble(cTID('Bl  '), 0);
    desc12.putObject(cTID('Clr '), sTID("RGBColor"), desc13);
    desc12.putEnumerated(cTID('Type'), cTID('Clry'), cTID('UsrS'));
    desc12.putInteger(cTID('Lctn'), 4096);
    desc12.putInteger(cTID('Mdpn'), 47);
    list1.putObject(cTID('Clrt'), desc12);
    desc7.putList(cTID('Clrs'), list1);
    var list2 = new ActionList();
    var desc14 = new ActionDescriptor();
    desc14.putUnitDouble(cTID('Opct'), cTID('#Prc'), 100);
    desc14.putInteger(cTID('Lctn'), 0);
    desc14.putInteger(cTID('Mdpn'), 50);
    list2.putObject(cTID('TrnS'), desc14);
    var desc15 = new ActionDescriptor();
    desc15.putUnitDouble(cTID('Opct'), cTID('#Prc'), 100);
    desc15.putInteger(cTID('Lctn'), 4096);
    desc15.putInteger(cTID('Mdpn'), 50);
    list2.putObject(cTID('TrnS'), desc15);
    desc7.putList(cTID('Trns'), list2);
    desc6.putObject(cTID('Grad'), cTID('Grdn'), desc7);
    desc6.putUnitDouble(cTID('Angl'), cTID('#Ang'), 90);
    desc6.putEnumerated(cTID('Type'), cTID('GrdT'), cTID('Lnr '));
    desc6.putBoolean(cTID('Rvrs'), false);
    desc6.putBoolean(cTID('Dthr'), false);
    desc6.putBoolean(cTID('Algn'), true);
    desc6.putUnitDouble(cTID('Scl '), cTID('#Prc'), 100);
    var desc16 = new ActionDescriptor();
    desc16.putUnitDouble(cTID('Hrzn'), cTID('#Prc'), 0);
    desc16.putUnitDouble(cTID('Vrtc'), cTID('#Prc'), 0);
    desc6.putObject(cTID('Ofst'), cTID('Pnt '), desc16);
    desc2.putObject(cTID('GrFl'), cTID('GrFl'), desc6);
    var desc17 = new ActionDescriptor();
    desc17.putBoolean(cTID('enab'), true);
    desc17.putEnumerated(cTID('Styl'), cTID('FStl'), cTID('OutF'));
    desc17.putEnumerated(cTID('PntT'), cTID('FrFl'), cTID('SClr'));
    desc17.putEnumerated(cTID('Md  '), cTID('BlnM'), cTID('Nrml'));
    desc17.putUnitDouble(cTID('Opct'), cTID('#Prc'), 100);
    desc17.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 8);
    var desc18 = new ActionDescriptor();
    desc18.putDouble(cTID('Rd  '), 0.25491042004433);
    desc18.putDouble(cTID('Grn '), 0.49151558952872);
    desc18.putDouble(cTID('Bl  '), 0.50261559546925);
    desc17.putObject(cTID('Clr '), sTID("RGBColor"), desc18);
    desc2.putObject(cTID('FrFX'), cTID('FrFX'), desc17);
    desc1.putObject(cTID('T   '), cTID('Lefx'), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Select
  function step22(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Photobacks Splash 1");
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(sTID("selectionModifier"), sTID("selectionModifierType"), sTID("addToSelectionContinuous"));
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Set
  function step23(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Chnl'), sTID("selection"));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('T   '), cTID('Ordn'), cTID('Al  '));
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Align
  function step24(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('Usng'), cTID('ADSt'), sTID("ADSTops"));
    executeAction(cTID('Algn'), desc1, dialogMode);
  };

  // Set
  function step25(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Chnl'), sTID("selection"));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('T   '), cTID('Ordn'), cTID('None'));
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Select
  function step26(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "BOOM!");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Set
  function step27(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('TxLr'), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Txt '), "BOOM!");
    var desc3 = new ActionDescriptor();
    desc3.putEnumerated(sTID("warpStyle"), sTID("warpStyle"), sTID("warpBulge"));
    desc3.putDouble(sTID("warpValue"), 14);
    desc3.putDouble(sTID("warpPerspective"), 0);
    desc3.putDouble(sTID("warpPerspectiveOther"), -3);
    desc3.putEnumerated(sTID("warpRotate"), cTID('Ornt'), cTID('Hrzn'));
    desc2.putObject(cTID('warp'), cTID('warp'), desc3);
    desc2.putEnumerated(sTID("textGridding"), sTID("textGridding"), cTID('None'));
    desc2.putEnumerated(cTID('Ornt'), cTID('Ornt'), cTID('Hrzn'));
    desc2.putEnumerated(cTID('AntA'), cTID('Annt'), cTID('AnSm'));
    var desc4 = new ActionDescriptor();
    desc4.putUnitDouble(cTID('Left'), cTID('#Pxl'), 0);
    desc4.putUnitDouble(cTID('Top '), cTID('#Pxl'), -17.4145202636719);
    desc4.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 2600.32397460938);
    desc4.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 581.590576171875);
    desc2.putObject(sTID("bounds"), sTID("bounds"), desc4);
    var desc5 = new ActionDescriptor();
    desc5.putUnitDouble(cTID('Left'), cTID('#Pxl'), 1080.7236328125);
    desc5.putUnitDouble(cTID('Top '), cTID('#Pxl'), -2.90548706054688);
    desc5.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 1523.50695800781);
    desc5.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 135.094512939453);
    desc2.putObject(sTID("boundingBox"), sTID("boundingBox"), desc5);
    var list1 = new ActionList();
    var desc6 = new ActionDescriptor();
    desc6.putEnumerated(sTID("textType"), sTID("textType"), sTID("box"));
    desc6.putEnumerated(cTID('Ornt'), cTID('Ornt'), cTID('Hrzn'));
    var desc7 = new ActionDescriptor();
    desc7.putDouble(sTID("xx"), 1);
    desc7.putDouble(sTID("xy"), 0);
    desc7.putDouble(sTID("yx"), 0);
    desc7.putDouble(sTID("yy"), 1);
    desc7.putDouble(sTID("tx"), 0);
    desc7.putDouble(sTID("ty"), 0);
    desc6.putObject(cTID('Trnf'), cTID('Trnf'), desc7);
    desc6.putInteger(sTID("rowCount"), 1);
    desc6.putInteger(sTID("columnCount"), 1);
    desc6.putBoolean(sTID("rowMajorOrder"), true);
    desc6.putUnitDouble(sTID("rowGutter"), cTID('#Pxl'), 0);
    desc6.putUnitDouble(sTID("columnGutter"), cTID('#Pxl'), 0);
    desc6.putUnitDouble(cTID('Spcn'), cTID('#Pxl'), 0);
    desc6.putEnumerated(sTID("frameBaselineAlignment"), sTID("frameBaselineAlignment"), sTID("alignByAscent"));
    desc6.putUnitDouble(sTID("firstBaselineMinimum"), cTID('#Pxl'), 0);
    var desc8 = new ActionDescriptor();
    desc8.putDouble(cTID('Top '), 0);
    desc8.putDouble(cTID('Left'), 0);
    desc8.putDouble(cTID('Btom'), 139.581741333008);
    desc8.putDouble(cTID('Rght'), 624.077758789062);
    desc6.putObject(sTID("bounds"), cTID('Rctn'), desc8);
    list1.putObject(sTID("textShape"), desc6);
    desc2.putList(sTID("textShape"), list1);
    var list2 = new ActionList();
    var desc9 = new ActionDescriptor();
    desc9.putInteger(cTID('From'), 0);
    desc9.putInteger(cTID('T   '), 6);
    var desc10 = new ActionDescriptor();
    desc10.putBoolean(sTID("styleSheetHasParent"), true);
    desc10.putString(sTID("fontPostScriptName"), "Impact");
    desc10.putString(cTID('FntN'), "Impact");
    desc10.putString(cTID('FntS'), "Regular");
    desc10.putInteger(cTID('Scrp'), 0);
    desc10.putInteger(cTID('FntT'), 1);
    desc10.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 167);
    desc10.putDouble(cTID('HrzS'), 100);
    desc10.putDouble(cTID('VrtS'), 100);
    desc10.putBoolean(sTID("syntheticBold"), false);
    desc10.putBoolean(sTID("syntheticItalic"), false);
    desc10.putBoolean(sTID("autoLeading"), true);
    desc10.putInteger(cTID('Trck'), 20);
    desc10.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc10.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc10.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc10.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc10.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc10.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc10.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc10.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 1.38240003585815);
    desc10.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc10.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc10.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc10.putBoolean(sTID("ligature"), true);
    desc10.putBoolean(sTID("altligature"), false);
    desc10.putBoolean(sTID("contextualLigatures"), false);
    desc10.putBoolean(sTID("fractions"), false);
    desc10.putBoolean(sTID("ordinals"), false);
    desc10.putBoolean(sTID("swash"), false);
    desc10.putBoolean(sTID("titling"), false);
    desc10.putBoolean(sTID("connectionForms"), false);
    desc10.putBoolean(sTID("stylisticAlternates"), false);
    desc10.putBoolean(sTID("ornaments"), false);
    desc10.putBoolean(sTID("justificationAlternates"), false);
    desc10.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc10.putBoolean(sTID("proportionalMetrics"), false);
    desc10.putBoolean(cTID('kana'), false);
    desc10.putBoolean(sTID("italics"), false);
    desc10.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("withStream"));
    desc10.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc10.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc10.putDouble(sTID("mojiZume"), 0);
    desc10.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc10.putBoolean(sTID("noBreak"), false);
    var desc11 = new ActionDescriptor();
    desc11.putDouble(cTID('Rd  '), 254.785995483398);
    desc11.putDouble(cTID('Grn '), 255);
    desc11.putDouble(cTID('Bl  '), 0);
    desc10.putObject(cTID('Clr '), sTID("RGBColor"), desc11);
    var desc12 = new ActionDescriptor();
    desc12.putDouble(cTID('Rd  '), 0);
    desc12.putDouble(cTID('Grn '), 0);
    desc12.putDouble(cTID('Bl  '), 0);
    desc10.putObject(sTID("strokeColor"), sTID("RGBColor"), desc12);
    var desc13 = new ActionDescriptor();
    desc13.putString(sTID("fontPostScriptName"), "MyriadPro-Regular");
    desc13.putString(cTID('FntN'), "Myriad Pro");
    desc13.putString(cTID('FntS'), "Regular");
    desc13.putInteger(cTID('Scrp'), 0);
    desc13.putInteger(cTID('FntT'), 0);
    desc13.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 12);
    desc13.putDouble(cTID('HrzS'), 100);
    desc13.putDouble(cTID('VrtS'), 100);
    desc13.putBoolean(sTID("syntheticBold"), false);
    desc13.putBoolean(sTID("syntheticItalic"), false);
    desc13.putBoolean(sTID("autoLeading"), true);
    desc13.putInteger(cTID('Trck'), 0);
    desc13.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc13.putDouble(sTID("characterRotation"), 0);
    desc13.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc13.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc13.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc13.putEnumerated(sTID("dirOverride"), sTID("dirOverride"), sTID("dirOverrideDefault"));
    desc13.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc13.putEnumerated(sTID("diacVPos"), sTID("diacVPos"), sTID("diacVPosOpenType"));
    desc13.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc13.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc13.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 100);
    desc13.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc13.putEnumerated(sTID("otbaseline"), sTID("otbaseline"), cTID('Nrml'));
    desc13.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc13.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc13.putUnitDouble(sTID("underlineOffset"), cTID('#Pxl'), 0);
    desc13.putBoolean(sTID("ligature"), true);
    desc13.putBoolean(sTID("altligature"), false);
    desc13.putBoolean(sTID("contextualLigatures"), false);
    desc13.putBoolean(sTID("alternateLigatures"), false);
    desc13.putBoolean(sTID("oldStyle"), false);
    desc13.putBoolean(sTID("fractions"), false);
    desc13.putBoolean(sTID("ordinals"), false);
    desc13.putBoolean(sTID("swash"), false);
    desc13.putBoolean(sTID("titling"), false);
    desc13.putBoolean(sTID("connectionForms"), false);
    desc13.putBoolean(sTID("stylisticAlternates"), false);
    desc13.putBoolean(sTID("ornaments"), false);
    desc13.putBoolean(sTID("justificationAlternates"), false);
    desc13.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc13.putBoolean(sTID("proportionalMetrics"), false);
    desc13.putBoolean(cTID('kana'), false);
    desc13.putBoolean(sTID("italics"), false);
    desc13.putBoolean(cTID('ruby'), false);
    desc13.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("rotated"));
    desc13.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc13.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc13.putDouble(sTID("mojiZume"), 0);
    desc13.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc13.putBoolean(sTID("enableWariChu"), false);
    desc13.putInteger(sTID("wariChuCount"), 2);
    desc13.putInteger(sTID("wariChuLineGap"), 0);
    desc13.putDouble(sTID("wariChuScale"), 0.5);
    desc13.putInteger(sTID("wariChuWidow"), 2);
    desc13.putInteger(sTID("wariChuOrphan"), 2);
    desc13.putEnumerated(sTID("wariChuJustification"), sTID("wariChuJustification"), sTID("wariChuAutoJustify"));
    desc13.putInteger(sTID("tcyUpDown"), 0);
    desc13.putInteger(sTID("tcyLeftRight"), 0);
    desc13.putDouble(sTID("leftAki"), -1);
    desc13.putDouble(sTID("rightAki"), -1);
    desc13.putInteger(sTID("jiDori"), 0);
    desc13.putBoolean(sTID("noBreak"), false);
    var desc14 = new ActionDescriptor();
    desc14.putDouble(cTID('Rd  '), 0);
    desc14.putDouble(cTID('Grn '), 0);
    desc14.putDouble(cTID('Bl  '), 0);
    desc13.putObject(cTID('Clr '), sTID("RGBColor"), desc14);
    var desc15 = new ActionDescriptor();
    desc15.putDouble(cTID('Rd  '), 0);
    desc15.putDouble(cTID('Grn '), 0);
    desc15.putDouble(cTID('Bl  '), 0);
    desc13.putObject(sTID("strokeColor"), sTID("RGBColor"), desc15);
    desc13.putBoolean(cTID('Fl  '), true);
    desc13.putBoolean(cTID('Strk'), false);
    desc13.putBoolean(sTID("fillFirst"), true);
    desc13.putBoolean(sTID("fillOverPrint"), false);
    desc13.putBoolean(sTID("strokeOverPrint"), false);
    desc13.putEnumerated(sTID("lineCap"), sTID("lineCap"), sTID("buttCap"));
    desc13.putEnumerated(sTID("lineJoin"), sTID("lineJoin"), sTID("miterJoin"));
    desc13.putUnitDouble(sTID("lineWidth"), cTID('#Pxl'), 1);
    desc13.putUnitDouble(sTID("miterLimit"), cTID('#Pxl'), 4);
    desc13.putDouble(sTID("lineDashoffset"), 0);
    desc10.putObject(sTID("baseParentStyle"), cTID('TxtS'), desc13);
    desc9.putObject(cTID('TxtS'), cTID('TxtS'), desc10);
    list2.putObject(cTID('Txtt'), desc9);
    desc2.putList(cTID('Txtt'), list2);
    var list3 = new ActionList();
    var desc16 = new ActionDescriptor();
    desc16.putInteger(cTID('From'), 0);
    desc16.putInteger(cTID('T   '), 6);
    var desc17 = new ActionDescriptor();
    desc17.putBoolean(sTID("styleSheetHasParent"), true);
    desc17.putEnumerated(cTID('Algn'), cTID('Alg '), cTID('Cntr'));
    desc17.putUnitDouble(sTID("firstLineIndent"), cTID('#Pxl'), 0);
    desc17.putUnitDouble(sTID("startIndent"), cTID('#Pxl'), 0);
    desc17.putUnitDouble(sTID("endIndent"), cTID('#Pxl'), 0);
    desc17.putUnitDouble(sTID("spaceBefore"), cTID('#Pxl'), 0);
    desc17.putUnitDouble(sTID("spaceAfter"), cTID('#Pxl'), 0);
    desc17.putDouble(sTID("autoLeadingPercentage"), 1.20000004768372);
    desc17.putEnumerated(sTID("leadingType"), sTID("leadingType"), sTID("leadingBelow"));
    desc17.putEnumerated(sTID("directionType"), sTID("directionType"), sTID("dirLeftToRight"));
    desc17.putEnumerated(sTID("kashidaWidthType"), sTID("kashidaWidthType"), sTID("kashidaWidthMedium"));
    desc17.putBoolean(sTID("hyphenate"), false);
    desc17.putDouble(sTID("justificationWordMinimum"), 0.80000001192093);
    desc17.putDouble(sTID("justificationWordDesired"), 1);
    desc17.putDouble(sTID("justificationWordMaximum"), 1.33000004291534);
    desc17.putDouble(sTID("justificationLetterMinimum"), 0);
    desc17.putDouble(sTID("justificationLetterDesired"), 0);
    desc17.putDouble(sTID("justificationLetterMaximum"), 0);
    desc17.putDouble(sTID("justificationGlyphMinimum"), 1);
    desc17.putDouble(sTID("justificationGlyphDesired"), 1);
    desc17.putDouble(sTID("justificationGlyphMaximum"), 1);
    desc17.putBoolean(sTID("hangingRoman"), false);
    desc17.putEnumerated(sTID("burasagari"), sTID("burasagari"), sTID("burasagariStandard"));
    desc17.putEnumerated(sTID("preferredKinsokuOrder"), sTID("preferredKinsokuOrder"), sTID("pushIn"));
    desc17.putBoolean(sTID("textEveryLineComposer"), true);
    desc17.putEnumerated(sTID("textComposerEngine"), sTID("textComposerEngine"), sTID("textLatinCJKComposer"));
    desc16.putObject(sTID("paragraphStyle"), sTID("paragraphStyle"), desc17);
    list3.putObject(sTID("paragraphStyleRange"), desc16);
    desc2.putList(sTID("paragraphStyleRange"), list3);
    var list4 = new ActionList();
    desc2.putList(sTID("kerningRange"), list4);
    desc1.putObject(cTID('T   '), cTID('TxLr'), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Select
  function step28(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Photobacks Splash 2");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Set
  function step29(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Prpr'), cTID('Lefx'));
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Scl '), cTID('#Prc'), 416.666666666667);
    var desc3 = new ActionDescriptor();
    desc3.putBoolean(cTID('enab'), true);
    desc3.putEnumerated(cTID('Md  '), cTID('BlnM'), cTID('Scrn'));
    var desc4 = new ActionDescriptor();
    desc4.putDouble(cTID('Rd  '), 255);
    desc4.putDouble(cTID('Grn '), 221.996612548828);
    desc4.putDouble(cTID('Bl  '), 0);
    desc3.putObject(cTID('Clr '), sTID("RGBColor"), desc4);
    desc3.putUnitDouble(cTID('Opct'), cTID('#Prc'), 100);
    desc3.putEnumerated(cTID('GlwT'), cTID('BETE'), cTID('SfBL'));
    desc3.putUnitDouble(cTID('Ckmt'), cTID('#Pxl'), 0);
    desc3.putUnitDouble(cTID('blur'), cTID('#Pxl'), 32);
    desc3.putUnitDouble(cTID('ShdN'), cTID('#Prc'), 0);
    desc3.putUnitDouble(cTID('Nose'), cTID('#Prc'), 0);
    desc3.putBoolean(cTID('AntA'), false);
    desc3.putEnumerated(cTID('glwS'), cTID('IGSr'), cTID('SrcE'));
    var desc5 = new ActionDescriptor();
    desc5.putString(cTID('Nm  '), "$$$/Contours/Defaults/Linear=Linear");
    desc3.putObject(cTID('TrnS'), cTID('ShpC'), desc5);
    desc3.putUnitDouble(cTID('Inpr'), cTID('#Prc'), 50);
    desc2.putObject(cTID('IrGl'), cTID('IrGl'), desc3);
    var desc6 = new ActionDescriptor();
    desc6.putBoolean(cTID('enab'), true);
    desc6.putEnumerated(cTID('Styl'), cTID('FStl'), cTID('OutF'));
    desc6.putEnumerated(cTID('PntT'), cTID('FrFl'), cTID('SClr'));
    desc6.putEnumerated(cTID('Md  '), cTID('BlnM'), cTID('Nrml'));
    desc6.putUnitDouble(cTID('Opct'), cTID('#Prc'), 100);
    desc6.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 8);
    var desc7 = new ActionDescriptor();
    desc7.putDouble(cTID('Rd  '), 0.25491042004433);
    desc7.putDouble(cTID('Grn '), 0.49151558952872);
    desc7.putDouble(cTID('Bl  '), 0.50261559546925);
    desc6.putObject(cTID('Clr '), sTID("RGBColor"), desc7);
    desc2.putObject(cTID('FrFX'), cTID('FrFX'), desc6);
    desc1.putObject(cTID('T   '), cTID('Lefx'), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Select
  function step30(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "BOOM!");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Select
  function step31(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Photobacks Splash 1");
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(sTID("selectionModifier"), sTID("selectionModifierType"), sTID("addToSelectionContinuous"));
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Transform
  function step32(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('FTcs'), cTID('QCSt'), sTID("QCSAverage"));
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Pxl'), 2.27373675443232e-13);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Pxl'), 0);
    desc1.putObject(cTID('Ofst'), cTID('Ofst'), desc2);
    desc1.putUnitDouble(cTID('Angl'), cTID('#Ang'), -9.04579425039273);
    desc1.putEnumerated(cTID('Intr'), cTID('Intp'), cTID('Bcbc'));
    executeAction(cTID('Trnf'), desc1, dialogMode);
  };

  // Select
  function step33(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "BOOM!");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Select
  function step34(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Photobacks Splash 1");
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(sTID("selectionModifier"), sTID("selectionModifierType"), sTID("addToSelectionContinuous"));
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move
  function step35(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Pxl'), 0);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Pxl'), 100);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Select
  function step36(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Photobacks Splash 2");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Set
  function step37(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "Top Splash");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Set
  function step38(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putEnumerated(cTID('Clr '), cTID('Clr '), cTID('Grn '));
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Select
  function step39(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Photobacks Splash 1");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Set
  function step40(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "Bottom Splash");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Set
  function step41(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putEnumerated(cTID('Clr '), cTID('Clr '), cTID('Grn '));
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Select
  function step42(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "BOOM!");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Move
  function step43(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Hrzn'), cTID('#Pxl'), 44);
    desc2.putUnitDouble(cTID('Vrtc'), cTID('#Pxl'), 205);
    desc1.putObject(cTID('T   '), cTID('Ofst'), desc2);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step44(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('TxLr'), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Txt '), "BOOOM!");
    var desc3 = new ActionDescriptor();
    desc3.putEnumerated(sTID("warpStyle"), sTID("warpStyle"), sTID("warpBulge"));
    desc3.putDouble(sTID("warpValue"), 14);
    desc3.putDouble(sTID("warpPerspective"), 0);
    desc3.putDouble(sTID("warpPerspectiveOther"), -3);
    desc3.putEnumerated(sTID("warpRotate"), cTID('Ornt'), cTID('Hrzn'));
    desc2.putObject(cTID('warp'), cTID('warp'), desc3);
    desc2.putEnumerated(sTID("textGridding"), sTID("textGridding"), cTID('None'));
    desc2.putEnumerated(cTID('Ornt'), cTID('Ornt'), cTID('Hrzn'));
    desc2.putEnumerated(cTID('AntA'), cTID('Annt'), cTID('AnSm'));
    var desc4 = new ActionDescriptor();
    desc4.putUnitDouble(cTID('Left'), cTID('#Pxl'), 0);
    desc4.putUnitDouble(cTID('Top '), cTID('#Pxl'), -17.4145202636719);
    desc4.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 624.077758789062);
    desc4.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 187.299102783203);
    desc2.putObject(sTID("bounds"), sTID("bounds"), desc4);
    var desc5 = new ActionDescriptor();
    desc5.putUnitDouble(cTID('Left'), cTID('#Pxl'), 45.307373046875);
    desc5.putUnitDouble(cTID('Top '), cTID('#Pxl'), -2.90548706054688);
    desc5.putUnitDouble(cTID('Rght'), cTID('#Pxl'), 582.67724609375);
    desc5.putUnitDouble(cTID('Btom'), cTID('#Pxl'), 135.094512939453);
    desc2.putObject(sTID("boundingBox"), sTID("boundingBox"), desc5);
    var list1 = new ActionList();
    var desc6 = new ActionDescriptor();
    desc6.putEnumerated(sTID("textType"), sTID("textType"), sTID("box"));
    desc6.putEnumerated(cTID('Ornt'), cTID('Ornt'), cTID('Hrzn'));
    var desc7 = new ActionDescriptor();
    desc7.putDouble(sTID("xx"), 1);
    desc7.putDouble(sTID("xy"), 0);
    desc7.putDouble(sTID("yx"), 0);
    desc7.putDouble(sTID("yy"), 1);
    desc7.putDouble(sTID("tx"), 0);
    desc7.putDouble(sTID("ty"), 0);
    desc6.putObject(cTID('Trnf'), cTID('Trnf'), desc7);
    desc6.putInteger(sTID("rowCount"), 1);
    desc6.putInteger(sTID("columnCount"), 1);
    desc6.putBoolean(sTID("rowMajorOrder"), true);
    desc6.putUnitDouble(sTID("rowGutter"), cTID('#Pxl'), 0);
    desc6.putUnitDouble(sTID("columnGutter"), cTID('#Pxl'), 0);
    desc6.putUnitDouble(cTID('Spcn'), cTID('#Pxl'), 0);
    desc6.putEnumerated(sTID("frameBaselineAlignment"), sTID("frameBaselineAlignment"), sTID("alignByAscent"));
    desc6.putUnitDouble(sTID("firstBaselineMinimum"), cTID('#Pxl'), 0);
    var desc8 = new ActionDescriptor();
    desc8.putDouble(cTID('Top '), 0);
    desc8.putDouble(cTID('Left'), 0);
    desc8.putDouble(cTID('Btom'), 139.581741333008);
    desc8.putDouble(cTID('Rght'), 624.077758789062);
    desc6.putObject(sTID("bounds"), cTID('Rctn'), desc8);
    list1.putObject(sTID("textShape"), desc6);
    desc2.putList(sTID("textShape"), list1);
    var list2 = new ActionList();
    var desc9 = new ActionDescriptor();
    desc9.putInteger(cTID('From'), 0);
    desc9.putInteger(cTID('T   '), 7);
    var desc10 = new ActionDescriptor();
    desc10.putBoolean(sTID("styleSheetHasParent"), true);
    desc10.putString(sTID("fontPostScriptName"), "Impact");
    desc10.putString(cTID('FntN'), "Impact");
    desc10.putString(cTID('FntS'), "Regular");
    desc10.putInteger(cTID('Scrp'), 0);
    desc10.putInteger(cTID('FntT'), 1);
    desc10.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 167);
    desc10.putInteger(cTID('Trck'), 20);
    desc10.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc10.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 1.38240003585815);
    var desc11 = new ActionDescriptor();
    desc11.putDouble(cTID('Rd  '), 254.785995483398);
    desc11.putDouble(cTID('Grn '), 255);
    desc11.putDouble(cTID('Bl  '), 0);
    desc10.putObject(cTID('Clr '), sTID("RGBColor"), desc11);
    var desc12 = new ActionDescriptor();
    desc12.putString(sTID("fontPostScriptName"), "MyriadPro-Regular");
    desc12.putString(cTID('FntN'), "Myriad Pro");
    desc12.putString(cTID('FntS'), "Regular");
    desc12.putInteger(cTID('Scrp'), 0);
    desc12.putInteger(cTID('FntT'), 0);
    desc12.putUnitDouble(cTID('Sz  '), cTID('#Pxl'), 12);
    desc12.putDouble(cTID('HrzS'), 100);
    desc12.putDouble(cTID('VrtS'), 100);
    desc12.putBoolean(sTID("syntheticBold"), false);
    desc12.putBoolean(sTID("syntheticItalic"), false);
    desc12.putBoolean(sTID("autoLeading"), true);
    desc12.putInteger(cTID('Trck'), 0);
    desc12.putUnitDouble(cTID('Bsln'), cTID('#Pxl'), 0);
    desc12.putDouble(sTID("characterRotation"), 0);
    desc12.putEnumerated(cTID('AtKr'), cTID('AtKr'), sTID("metricsKern"));
    desc12.putEnumerated(sTID("fontCaps"), sTID("fontCaps"), cTID('Nrml'));
    desc12.putEnumerated(sTID("digitSet"), sTID("digitSet"), sTID("defaultDigits"));
    desc12.putEnumerated(sTID("dirOverride"), sTID("dirOverride"), sTID("dirOverrideDefault"));
    desc12.putEnumerated(sTID("kashidas"), sTID("kashidas"), sTID("kashidaDefault"));
    desc12.putEnumerated(sTID("diacVPos"), sTID("diacVPos"), sTID("diacVPosOpenType"));
    desc12.putUnitDouble(sTID("diacXOffset"), cTID('#Pxl'), 0);
    desc12.putUnitDouble(sTID("diacYOffset"), cTID('#Pxl'), 0);
    desc12.putUnitDouble(sTID("markYDistFromBaseline"), cTID('#Pxl'), 100);
    desc12.putEnumerated(sTID("baseline"), sTID("baseline"), cTID('Nrml'));
    desc12.putEnumerated(sTID("otbaseline"), sTID("otbaseline"), cTID('Nrml'));
    desc12.putEnumerated(sTID("strikethrough"), sTID("strikethrough"), sTID("strikethroughOff"));
    desc12.putEnumerated(cTID('Undl'), cTID('Undl'), sTID("underlineOff"));
    desc12.putUnitDouble(sTID("underlineOffset"), cTID('#Pxl'), 0);
    desc12.putBoolean(sTID("ligature"), true);
    desc12.putBoolean(sTID("altligature"), false);
    desc12.putBoolean(sTID("contextualLigatures"), false);
    desc12.putBoolean(sTID("alternateLigatures"), false);
    desc12.putBoolean(sTID("oldStyle"), false);
    desc12.putBoolean(sTID("fractions"), false);
    desc12.putBoolean(sTID("ordinals"), false);
    desc12.putBoolean(sTID("swash"), false);
    desc12.putBoolean(sTID("titling"), false);
    desc12.putBoolean(sTID("connectionForms"), false);
    desc12.putBoolean(sTID("stylisticAlternates"), false);
    desc12.putBoolean(sTID("ornaments"), false);
    desc12.putBoolean(sTID("justificationAlternates"), false);
    desc12.putEnumerated(sTID("figureStyle"), sTID("figureStyle"), cTID('Nrml'));
    desc12.putBoolean(sTID("proportionalMetrics"), false);
    desc12.putBoolean(cTID('kana'), false);
    desc12.putBoolean(sTID("italics"), false);
    desc12.putBoolean(cTID('ruby'), false);
    desc12.putEnumerated(sTID("baselineDirection"), sTID("baselineDirection"), sTID("rotated"));
    desc12.putEnumerated(sTID("textLanguage"), sTID("textLanguage"), sTID("englishLanguage"));
    desc12.putEnumerated(sTID("japaneseAlternate"), sTID("japaneseAlternate"), sTID("defaultForm"));
    desc12.putDouble(sTID("mojiZume"), 0);
    desc12.putEnumerated(sTID("gridAlignment"), sTID("gridAlignment"), sTID("roman"));
    desc12.putBoolean(sTID("enableWariChu"), false);
    desc12.putInteger(sTID("wariChuCount"), 2);
    desc12.putInteger(sTID("wariChuLineGap"), 0);
    desc12.putDouble(sTID("wariChuScale"), 0.5);
    desc12.putInteger(sTID("wariChuWidow"), 2);
    desc12.putInteger(sTID("wariChuOrphan"), 2);
    desc12.putEnumerated(sTID("wariChuJustification"), sTID("wariChuJustification"), sTID("wariChuAutoJustify"));
    desc12.putInteger(sTID("tcyUpDown"), 0);
    desc12.putInteger(sTID("tcyLeftRight"), 0);
    desc12.putDouble(sTID("leftAki"), -1);
    desc12.putDouble(sTID("rightAki"), -1);
    desc12.putInteger(sTID("jiDori"), 0);
    desc12.putBoolean(sTID("noBreak"), false);
    var desc13 = new ActionDescriptor();
    desc13.putDouble(cTID('Rd  '), 0);
    desc13.putDouble(cTID('Grn '), 0);
    desc13.putDouble(cTID('Bl  '), 0);
    desc12.putObject(cTID('Clr '), sTID("RGBColor"), desc13);
    var desc14 = new ActionDescriptor();
    desc14.putDouble(cTID('Rd  '), 0);
    desc14.putDouble(cTID('Grn '), 0);
    desc14.putDouble(cTID('Bl  '), 0);
    desc12.putObject(sTID("strokeColor"), sTID("RGBColor"), desc14);
    desc12.putBoolean(cTID('Fl  '), true);
    desc12.putBoolean(cTID('Strk'), false);
    desc12.putBoolean(sTID("fillFirst"), true);
    desc12.putBoolean(sTID("fillOverPrint"), false);
    desc12.putBoolean(sTID("strokeOverPrint"), false);
    desc12.putEnumerated(sTID("lineCap"), sTID("lineCap"), sTID("buttCap"));
    desc12.putEnumerated(sTID("lineJoin"), sTID("lineJoin"), sTID("miterJoin"));
    desc12.putUnitDouble(sTID("lineWidth"), cTID('#Pxl'), 1);
    desc12.putUnitDouble(sTID("miterLimit"), cTID('#Pxl'), 4);
    desc12.putDouble(sTID("lineDashoffset"), 0);
    desc10.putObject(sTID("baseParentStyle"), cTID('TxtS'), desc12);
    desc9.putObject(cTID('TxtS'), cTID('TxtS'), desc10);
    list2.putObject(cTID('Txtt'), desc9);
    desc2.putList(cTID('Txtt'), list2);
    var list3 = new ActionList();
    var desc15 = new ActionDescriptor();
    desc15.putInteger(cTID('From'), 0);
    desc15.putInteger(cTID('T   '), 7);
    var desc16 = new ActionDescriptor();
    desc16.putBoolean(sTID("styleSheetHasParent"), true);
    desc16.putEnumerated(cTID('Algn'), cTID('Alg '), cTID('Cntr'));
    desc16.putBoolean(sTID("hyphenate"), false);
    desc16.putEnumerated(sTID("burasagari"), sTID("burasagari"), sTID("burasagariStandard"));
    desc15.putObject(sTID("paragraphStyle"), sTID("paragraphStyle"), desc16);
    list3.putObject(sTID("paragraphStyleRange"), desc15);
    desc2.putList(sTID("paragraphStyleRange"), list3);
    var list4 = new ActionList();
    desc2.putList(sTID("kerningRange"), list4);
    desc1.putObject(cTID('T   '), cTID('TxLr'), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Set
  function step45(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putEnumerated(cTID('Clr '), cTID('Clr '), cTID('Grn '));
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  step1();      // Make
  step2();      // Set
  step3();      // Set
  step4();      // Layer Via Copy
  step5();      // Set
  step6();      // Select
  step7();      // Set
  step8();      // Transform
  step9();      // Select
  step10();      // Link Selected Layers
  step11();      // Set
  step12();      // Align
  step13();      // Align
  step14();      // Set
  step15();      // Make
  step16();      // Set
  step17();      // Align
  step18();      // Set
  step19();      // Select
  step20();      // Set
  step21();      // Set
  step22();      // Select
  step23();      // Set
  step24();      // Align
  step25();      // Set
  step26();      // Select
  step27();      // Set
  step28();      // Select
  step29();      // Set
  step30();      // Select
  step31();      // Select
  step32();      // Transform
  step33(true, true);      // Select
  step34();      // Select
  step35();      // Move
  step36();      // Select
  step37();      // Set
  step38();      // Set
  step39();      // Select
  step40();      // Set
  step41();      // Set
  step42();      // Select
  step43();      // Move
  step44();      // Set
  step45();      // Set
};



//=========================================
//                    SplashCaption.main
//=========================================
//

SplashCaption.main = function () {
  SplashCaption();
};

SplashCaption.main();

// EOF

"SplashCaption.jsx"
// EOF
